Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface IWidgetTokenOwner

All Known Implementing Classes:
  TextViewer

public interface IWidgetTokenOwner

In order to display information in a temporary window, a widget token must be acquired. The intent behind this concept is that only one temporary window should be presented at any moment in time and also to avoid overlapping temporary windows. This concept is utilized by the `ITextViewer`.

In order to provide backward compatibility for clients of `IWidgetTokenOwner`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IWidgetTokenOwnerExtension` since version 3.0 introducing priorities when requesting a widget token and thus replacing the unprioritized scheme.

Since:
  2.0
See Also:
  `IWidgetTokenOwnerExtension`

Method Summary
`void` | `releaseWidgetToken(IWidgetTokenKeeper tokenKeeper)` The given token keeper releases the token to this token owner.
`boolean` | `requestWidgetToken(IWidgetTokenKeeper requester)` Requests the widget token from this token owner.

Method Detail

### requestWidgetToken

    public boolean requestWidgetToken(IWidgetTokenKeeper requester)

  Requests the widget token from this token owner. Returns `true` if the token has been acquired or is already owned by the requester. This method is non-blocking.

  Replaced by `IWidgetTokenOwnerExtension.requestWidgetToken(IWidgetTokenKeeper, int)`.

  Parameters:
    `requester` - the token requester
  Returns:
    `true` if requester acquires the token, `false` otherwise

### releaseWidgetToken

    public void releaseWidgetToken(IWidgetTokenKeeper tokenKeeper)

  The given token keeper releases the token to this token owner. If the token has previously not been held by the given token keeper, nothing happens. This method is non-blocking.

  Parameters:
    `tokenKeeper` - the token keeper

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.